Search or ask Docker

List configs

GET /configs — Docker Engine API 1.57.

View Markdown
GET/configs

Connection and access

API connection and authentication guidance

/v1.57

No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.

Parameters

filters query

A JSON encoded value of the filters (a map[string][]string) to process on the configs list.

Available filters:

  • id=<config id>
  • label=<key> or label=<key>=value
  • name=<config name> matches all or part of a config name (prefix match)

Type: string

All schema constraints and annotations
{
  "type": "string"
}

Request and responses

Response 200

no error

application/json

Type: array

Array item

Schema: Config

All schema constraints and annotations
{
  "example": [
    {
      "CreatedAt": "2016-11-05T01:20:17.327670065Z",
      "ID": "ktnbjxoalbkvbvedmg1urrz8h",
      "Spec": {
        "Name": "server.conf"
      },
      "UpdatedAt": "2016-11-05T01:20:17.327670065Z",
      "Version": {
        "Index": 11
      }
    }
  ],
  "items": {
    "$ref": "#/components/schemas/Config"
  },
  "type": "array"
}

Schema example

[
  {
    "CreatedAt": "2016-11-05T01:20:17.327670065Z",
    "ID": "ktnbjxoalbkvbvedmg1urrz8h",
    "Spec": {
      "Name": "server.conf"
    },
    "UpdatedAt": "2016-11-05T01:20:17.327670065Z",
    "Version": {
      "Index": 11
    }
  }
]

Response 500

server error

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Response 503

node is not part of a swarm

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Referenced schemas

#/components/schemas/Config

#/components/schemas/ErrorResponse

Complete operation contract
{
  "operationId": "ConfigList",
  "parameters": [
    {
      "description": "A JSON encoded value of the filters (a `map[string][]string`) to\nprocess on the configs list.\n\nAvailable filters:\n\n- `id=\u003cconfig id\u003e`\n- `label=\u003ckey\u003e or label=\u003ckey\u003e=value`\n- `name=\u003cconfig name\u003e` matches all or part of a config name (prefix match)\n",
      "in": "query",
      "name": "filters",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "example": [
              {
                "CreatedAt": "2016-11-05T01:20:17.327670065Z",
                "ID": "ktnbjxoalbkvbvedmg1urrz8h",
                "Spec": {
                  "Name": "server.conf"
                },
                "UpdatedAt": "2016-11-05T01:20:17.327670065Z",
                "Version": {
                  "Index": 11
                }
              }
            ],
            "items": {
              "$ref": "#/components/schemas/Config"
            },
            "type": "array"
          }
        }
      },
      "description": "no error"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "server error"
    },
    "503": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "node is not part of a swarm"
    }
  },
  "summary": "List configs",
  "tags": [
    "Config"
  ]
}